# Insert blank lines between shell prompts
add_newline = true
command_timeout = 1000

# Change the default prompt format
format = '''
$env_var $all
 '''

# Change the default prompt characters
[character]
success_symbol = ""
error_symbol = ""

###########

# Shows an icon that should be included by zshrc script based on the distribution or os
[env_var.STARSHIP_DISTRO]
format = '[$env_value](bold white)'  # removed space between distro and rest for pwsh
variable = "STARSHIP_DISTRO"
disabled = false

# Shows the username
[env_var.USER]
variable = "USER"
format = '[$env_value](bold white) '
disabled = false

# Show icon depending on OS device is running
[env_var.STARSHIP_DEVICE]
format = '[$env_value](bold yellow)'
variable = "STARSHIP_DEVICE"
disabled = false

###########

[hostname]
ssh_only = false
format = '[$hostname](bold yellow) '
disabled = false

[directory]
# truncation_length = 3
# truncation_symbol = "…/"
home_symbol = " ~"
read_only_style = "197"
read_only = "  "
format = ' \[[$path]($style)\][$read_only]($read_only_style)'

[container]
format = '\[[$symbol \\[$name\\]]\]($style)'


[git_branch]
symbol = " "
format = '\[[$symbol$branch]($style)\] '
# truncation_length = 4
# truncation_symbol = "…/"
style = "bold green"

[git_status]
format = '[\($all_status$ahead_behind\)]($style) '
style = "bold green"
conflicted = "🏳"
up_to_date = ""
untracked = ""
ahead = "⇡${count}"
diverged = "⇕⇡${ahead_count}⇣${behind_count}"
behind = "⇣${count}"
stashed = "󱧘"
modified = ""
staged = '[++\($count\)](green)'
renamed = ""
deleted = ""

[aws]
symbol = ""
format = '\[[$symbol($profile)(\($region\))(\[$duration\])]($style)\]'

[cmd_duration]
format = '\[[time $duration]($style)\]'

[terraform]
format = '\[[ terraform $version\]]($style) 壟 \[[$workspace\]]($style)'
disabled = true

[vagrant]
format = '\[[$symbol($version)]($style)\]'
disabled = true

[docker_context]
symbol = " "
format = '\[[$symbol$context]($style)\]'

[helm]
format = '\[[$symbol($version)]($style)\]'
disabled = true

[python]
symbol = ""
format = '\[[${symbol}${pyenv_prefix} (${version})(\($virtualenv\))]($style)\]'

[package]
symbol = "󰏗"
format = '\[[$symbol ($version)]($style)\]'

[nodejs]
symbol = ""
format = '\[[$symbol($version)]($style)\]'

[ruby]
symbol = "󰴭"
format = '\[[$symbol($version)]($style)\]'
disabled = true

[rust]
symbol = ""
format = '\[[$symbol ($version)]($style)\]'

[sudo]
format = '\[[as $symbol]\]'
